Imports Semantic UI Less code before your custom Less code.
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
lib
LICENSE
README.md
package.json

README.md

less-plugin-semantic-ui

Imports Semantic UI Less code before your custom Less code.

lessc usage

Install..

requires Less v2.4.0

npm install -g less-plugin-semantic-ui

and then on the command line,

lessc file.less --semantic-ui

Notice that your working directory should contain a valid theme.config file.

Programmatic usage

var LessPluginSemanticUI = require('less-plugin-semantic-ui'),
    SemanticUIPlugin = new LessPluginSemanticUI();
less.render(lessString, { plugins: [SemanticUIPlugin] })
  .then(

Browser usage

Browser usage is not supported at this time.